/*====================*/
/*BASIC SETUP*/
/*==================== */

@import url('https://fonts.googleapis.com/css2?family=Titillium+Web:ital,wght@0,200;0,300;0,400;0,600;0,700;0,900;1,200;1,300;1,400;1,600;1,700&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
html{
    font-size: 62.5%;
    scroll-behavior: smooth;
}
body {
    font-family: "Titillium Web", sans-serif;
    text-rendering: optimizeLegibility;
    line-height: 1.3;
    font-size: 1.6rem;
}
ul li {
    list-style-type: none;
}

/*HEADING*/
h1 {
    font-size: 4.2rem;
    color: #fff;
}

/* browse compabalte chrome problem */
  :focus {
    outline: 0;
}

.clearfix::after {
    content: "";
    display: table;
    clear: both;
    height: 0;
    visibility: hidden;
}

/*====================*/
/*REUSABLE COMPONENTS*/
/*==================== */
.row {
    max-width: 114rem;
    margin: 0 auto;
}
section {
    padding: 8rem 0;
}
h2 {
    font-size: 4rem;
    text-transform: uppercase;
    letter-spacing: .3rem;
    font-weight: 600;
    color: #fff;
    margin-top: 0;
    margin-bottom: 2rem;
    text-align: center;
}
h2::after {
    content: "";
    display: block;
    height: .4rem;
    background: #fff;
    width: 8.5rem;
    margin: auto;
    margin-top: 2rem;
}

h3 {
    font-size: 2.4rem;
    text-transform: uppercase;
    font-weight: 600;
    color: #fff;
}
h4 {
    font-size: 1.8rem;
    font-weight: 400;
    text-transform: uppercase;
    margin-top: 2.5rem;
}
.box {
    padding: 1%;
}

.box p {
    font-size: 1.6rem;
    font-weight: 300;
    margin-top: 2rem;
    color: #fff;
}

/* BUTTON */
.btn:link,
.btn:visited,
.btn {
    background: #333;
    color: #fff;
    text-decoration: none;
    text-transform: uppercase;
    padding: 1.5rem 6rem;
    border-radius: .3rem solid #000;
    display: inline-block;
    margin-top: 4.5rem;
    font-size: 1.6rem;
}

/* Paragraph */
.little-description {
    font-size: 1.8rem;
    width: 60%;
    margin-left:20%;
    line-height: 3rem;
}
/*====================*/
/*HEADER SECTION*/
/*==================== **/
header {
    background: linear-gradient(rgb(135, 80, 156, 0.8),rgb(135, 80, 156, 0.8)), url(img/hero-bg.jpg) no-repeat center center / cover;
    background-attachment: fixed;
    height: 85vh;
    position: relative;
}

.logo {
    height: 3.5rem;
    width: auto;
    margin-top: 3.5rem;
    float: left;
}

/*NAVIGATION MENU ITEMS*/
.menu-items {
    float: right;
    margin-top: 4rem;
}

.menu-items li {
    display: inline-block;
    margin-left: 1rem;
}
.manu-items li:first-child {
    margin-left: 0;
}
.menu-items li a:link, 
.menu-items li a:visited {
    color: #fff;
    text-decoration: none;
    text-transform: uppercase;
    background: rgb(100, 58, 121,0);
    padding: .6rem 1.6rem;
    border-radius: .5rem;
    display: inline-block;
    font-size: 1.6rem;
    transition: .3s;
}
.menu-items li:hover a:link, 
.menu-items li:hover a:visited {
    background:rgb(100, 58,121, 1);
}
.active {
    background: rgb(100, 58,121, 1);
    border-radius: .5rem;
}
/* STICKY NAVIGATION*/
.sticky {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    background: rgb(135, 80, 156, 0.9);
    padding: 1rem 0;
    box-shadow: 0 .3rem .5rem rgba(255, 255, 255, 0.9);
    z-index: 9999;
}
.sticky .logo {
    margin-top: 0;
}
.sticky .menu-items {
    margin-top:.2rem;
}

.hero-text {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate( -50%, -50%);
    text-align: center;
    width: 114rem;
}
.btn-hero:link, 
.btn-hero:visited {
    background: #eb7d4b;
    border-color: #c86a40;
}
/* MOILE MENU */

 .mobile-menu span {
    color: #fff;
    font-size: 4rem;
    float: right;
    margin-top: 2rem;
    display: none;
}
.mobile-menu span:hover {
    cursor: pointer;
} 
/*====================*/
/*SERVICES SECTION*/
/*==================== */
.services-section {
    color: #fff;
    text-align: center;
    background: linear-gradient(rgb(23, 194, 164, 0.8),rgb(23, 194, 164, 0.8)) , url(img/services-bg.jpg) no-repeat center top / cover;
}
.services-section h2::after {
    background: #14a58c;
}
.services-icon {
    height: 12rem;
    margin-top: 4.5rem;
    margin-bottom: 3.5rem;
}
/*====================*/
/* TEAM SECTION */
/*==================== */
.team-section {
    text-align: center;
    background: linear-gradient(rgb(231, 241, 248, 0.8), rgb(231, 241, 248, 0.8)) , url(img/team-bg.jpg) no-repeat center center / cover ;
    background-attachment: fixed;
}
.team-section h2 {
    color: #3c4761;
} 
.team-section h2::after {
    background: #c8d9e5;
}
.team-member {
    margin-top: 4.5rem;
    margin-bottom: 3.5rem;
    height: 20rem;
    width: 20rem;
    border-radius: 50%;
}
.team-section h3 {
    color: #3c4761;
}
.role {
    color: #30bae7;
    font-size: 1.6rem;
    text-transform: capitalize;
    margin-top: .5rem;
    display: inline-block;
}
.team-section .box p {
    color: #3c4761;
}
.social-link {
    margin-top: 4.5rem;
}
.social-link ul li {
    display: inline-block;
    margin: 0 .5rem;
}
.social-link ul li a {
    color: #fff;
}
.social-link ul li a:link i::before {
    background: #bdd1df;
    width: 2rem;
    height: 2rem;
    border-radius: 50%;
    display: inline-block;
    font-size: 2rem;
    padding: 1rem;
    transition: .5s;
}
.social-link ul li a:hover i::before {
    background: #393939;
    color: #14a58c;
    transform: rotate(360deg);

}
/*====================*/
/* SKILLS SECTION*/
/*==================== **/
.skill-section {
    text-align: center;
    background: linear-gradient(rgba(255, 255, 255, 0.9), rgba(255, 255, 255, 0.9)) , url(img/skill-bg.jpg) no-repeat center / cover;
}
.skill-section h2,h3 {
    color: #3c4761;
}
.skill-section h2::after {
    background: #dfe8ed;
}
.skill-section .box{
    margin-top: 4.5rem;
}
svg.radial-progress circle {
    stroke-width: 5;
}
svg.radial-progress text {
    fill: #3c4761;
    font-size: 1.5rem;
}
svg.web-design circle {
    stroke: #30bae7;
}
svg.html-css circle {
    stroke: #d74680;
}
svg.graphic-design circle {
    stroke: #15c7a8;
}
svg.ui-ux circle {
    stroke: #eb7d4b;
}

/*====================*/
/* PROTFOLIO SECTION*/
/*==================== **/
.portfolio-section {
    text-align: center;
    background: linear-gradient(rgba(255, 221, 153, 0.8) ,rgba(255, 221, 153, 0.8)) , url(img/portfolio-bg.jpg) no-repeat center / cover;
    background-attachment: fixed;
}
.portfolio-section h2 {
    color: #3c4761;
}
.portfolio-section h2::after {
    background: #e5b57f;
}
.portfolio-filter {
    margin: 3.5rem 0;
}
.portfolio-filter button {
    background: #ebc985;
    font-size: 1.8rem;
    padding: 1rem 2rem;
    border: 0;
    border-radius: .5rem;
    text-transform: uppercase;
    color: #3c4761;
    margin: 0 .5rem;
    transition: .3s;
}
.portfolio-filter button:hover { 
    cursor: pointer;
    box-shadow: inset 0 .3rem .5rem rgb(60, 71, 97, 0.5 );
}
.portfolio-image {
    width: 100%;
    height: auto;
}
.portfolio-section .col:nth-child(1),
.portfolio-section .col:nth-child(2),
.portfolio-section .col:nth-child(3),
.portfolio-section .col:nth-child(4) {
    margin-left: 0;
}
.portfolio-section .btn-load-more {
    background: #17c2a4;
}
.portfolio-section .mixitup-control-active {
    background: #fff;
}
/*====================*/
/* TESTMONIAL SECTION*/
/*==================== **/
.testimonial {
    background: linear-gradient(rgb(215, 70, 128, 0.9), rgb(215, 70, 128, 0.9)), url(img/testimonial-bg.jpg), no-repeat center / cover;
}
.testimonial h2::after{
    background: #b73c6d;
}
.testimonial .little-description {
    text-align: center;
    color: #fff;
}
.testimonial .col:nth-child(3) {
    margin-left: 0;
}
.testimonial .col:nth-child(1) ,
.testimonial .col:nth-child(2) {
    margin-top: 4rem;
}
.testimonial .col:nth-child(3) ,
.testimonial .col:nth-child(4) {
    margin-top: 8rem;
}
.client-photo {
width: 10rem;
float: left;
}
.client-photo img {
    height: 8rem;
    border-radius: 50%;
    margin-bottom: 3rem;
}
.client-review {
    width: 35rem;
    float: left;
}
.client-review p {
    font-size: 2.1rem;
    font-style: italic;
    margin-top: 0;
    margin-bottom: 2rem;
}
.client-review .role {
    color: #fcd597;
}

/*====================*/
/* CONTACT SECTION*/
/*==================== **/
.contact-section {
    text-align: center;
    background: linear-gradient(rgb(60, 84, 153, 0.9) , rgb(60, 84, 153, 0.9)), url(img/contact-bg.jpg), no-repeat center top / cover;
}
.contact-section h2::after {
    background: #273a71;
}
.contact-section .little-description {
    color: #fff;
    font-size: 1.6rem;
}
.contact-section form {
    margin-top: 5rem;
    width: 70%;
    margin-left: 15%;
}
.contact-section input[type="text"],
.contact-section input[type="email"],
.contact-section textarea {
    background: #273a71;
    border: .1rem solid #273a71;
    width: 100%;
    padding: 1.5rem;
    border-radius: .5rem;
    font-size: 1.8rem;
    margin: .5rem 0;
    color: #fff;
}
.contact-section textarea {
    height: 20rem;
}
.contact-section form ::placeholder {
    color: #fff;
    opacity: 1;
}
.btn-submit {
    border: 0;
    border-bottom: .3rem solid #299ec5;
    background: #30bae7;
    cursor: pointer;
}
/*====================*/
/* FOOTER SECTION*/
/*==================== **/
.footer-section {
    text-align: center;
    background: #344b8e;
    padding: 3rem 0;
    border-top: .1rem solid rgb(255, 255, 255, 0.3)
}
.footer-section li {
    display: inline-block;
    margin: 0 2rem;
}
.footer-section li a {
    color: #fff;
    text-decoration: none;
    text-transform: capitalize;
    font-size: 2.4rem;
}
.footer-section li a:hover {
    color: #3286bb;
}